[PACKAGE]: ../../raw/master/mkp/juniper_bgp_peer-1.0.0-20230613.mkp "juniper_bgp_peer-1.0.0-20230613.mkp"
# Juniper BGP Peer

Monitors status of Juniper BGP peers (IPv4 and IPv6)

THX to Jeff Fern (jeff[dash]cmk[at]fcse[dot]co[dot]uk) for testing and providing feedback to make this addon happen.

**Note**: this plugin will supersede the original `juniper_bgp_status` plugin.

---
### Check Info

* *service*: this check creates one service for each peer/address family/routing instance  (IPv4 and IPv6) [see bgp_peer service](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer/-/blob/master/README.md "BGP peer readme.md")
* *state*: [see bgp_peer states](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer/-/blob/master/README.md "BGP peer readme.md")

* *wato*: [see bgp_peer WATO options](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer/-/raw/master/doc/wato.png?raw=true "BGP Peer WATO options")
   
* *perfdata (if avilable)*: 
    * Prefixes in (count)
    * Prefixes in accepted (count)
    * Prefixes in rejected (count)
    * Prefixes in active (count)
    * Prefixes out (count)
    * Updates received (/s)
    * Updates send (/s)
    * Total messages received (/s)
    * Total messages send (/s)
    * FMS transitions (count)
    * FMS last change (s)
    * Last update received (s)

---
### Download

* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, always check the [CHANGELOG](CHANGELOG). There might be incompatible changes.

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp install PACKAGENAME-VERSION.mkp
```
or beginning with CMK2.2.x
```
mkp add PACKAGENAME-VERSION.mkp
mkp enable PACKAGENAME VERSION
```
In the non RAW editions of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

**Note**: This plugin is based on [BGP Peer](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer "BGP Peer"). To use **juniper_bgp_peer** you need to install **_bgp_peer_** as well.

---
#### Want to contribute?
Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](img/sample.png?raw=true "sample output")
